package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BillClean;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 洗消表 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBillCleanService extends IService<BillClean> {
    Result listAll(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result listByIdDry(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result commitClean(HttpServletRequest httpServletRequest,Map<String,String> paramsMap) throws ParseException;
    Result listPersonalClean(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //环保车
    Result carClean(HttpServletRequest httpServletRequest, String farmId, String id, String date, MultipartFile img1,MultipartFile img2,MultipartFile img3,MultipartFile img4,MultipartFile img5,String type) throws ParseException, IOException;

    Result listCleanAndDry(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listPersonalCleanAndDry(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    //饲料车
    Result goodsCarClean(HttpServletRequest httpServletRequest, String farmId, String id, String date, MultipartFile img1,MultipartFile img2,MultipartFile img3,MultipartFile img4,MultipartFile img5,String type,String result) throws ParseException, IOException;

}
